headless lms

Update a course's settings

PATCH /api/courses/{id}/settings. Update a course's settings. Headless LMS Content API reference.

PATCH
/api/courses/{id}/settings

Requires courses:write. Merges the settings sent into the current ones.

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/courses/string/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "transcriptDownloads": true,  "comments": {    "enabled": true,    "threaded": true,    "requireReview": true,    "reactions": true  }}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}